Subject: bug#24340: insert-file-contents calls before-change-functions too late

From: Stefan Monnier <[email-masked]>
Date: Wed, 31 Aug 2016 13:50:03 -0400

> Since I believe master will be used for 25.2,

[ Making an effort not to comment on that ;-)  ]

> we cannot currently push anything that must wait for 26.

I can wait for this issue to clear up.

>> > I think a cleaner way is to change the model of how we partition
>> > piecemeal changes, when we signal the changes and when don't, when we
>> > ask the user about supersession-threat, etc.  The current model is
>> > fundamentally flawed, if we want to use the buffer-change hooks in the
>> > ways that emerged from these discussions.
>> All I care about is for any change to the buffer to be announced by
>> a prior b-c-f.
> My proposed simple change satisfies this requirement, albeit the
> effect is less optimal.

Yes, as I said, I prefer my patch, but your suggestion is acceptable
as well.

        Stefan